Bug 82235 - New port: mail/mutt-ng
Summary: New port: mail/mutt-ng
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-14 19:00 UTC by Vsevolod Stakhov
Modified: 2005-06-19 11:55 UTC (History)
0 users

See Also:


Attachments
mutt-ng-20050614.shar (28.43 KB, text/plain)
2005-06-14 19:00 UTC, Vsevolod Stakhov
no flags Details
mutt-ng.shar (30.66 KB, application/x-shar)
2005-06-18 00:30 UTC, Vsevolod Stakhov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vsevolod Stakhov 2005-06-14 19:00:38 UTC
Mutt next generation (mutt-ng) is a fork of the well-known email client mutt
with the goal to both incorporate all the patches that are floating around in
the web, and to fix all the other little annoyances of mutt. Also this port is
using options structure that is more comfortable for some people including me.
Comment 1 Roman Bogorodskiy freebsd_committer 2005-06-15 08:41:12 UTC
Does it worth making a port? I think we have most of these patches
in mail/mutt-devel. Personally I think project doesn't deserve to
be called "ng" just because of integrating a bunch of third-party
patches.

-Roman Bogorodskiy
Comment 2 Vsevolod Stakhov 2005-06-15 09:02:13 UTC
As for me mutt-devel dumps core when it is built with sidebar support 
during switching mailboxes. Another reason is that mutt-ng is official 
fork of mutt client and I think that it would include some interesting 
features. But if you think that it is not worth porting there is no 
problem - I'll use it for myself.
Comment 3 Andrej Zverev 2005-06-15 09:42:25 UTC
As for me, of course mutt-ng have most of these patches in mutt-devel, but if 
in mutt-devel they not working OK, why we don't have a port where this pathes 
work good ?
And as has told Vsevolod, the project can contain interesting decisions in the 
future.
I vote for this port :)
Comment 4 Andrej Zverev 2005-06-15 16:13:43 UTC
It's not Vsevolod decision to name project mutt-ng ;)

Say NO to bikeshed !

P.S. I would paint mutt-ng in green color
Comment 5 Vasil Dimov 2005-06-16 07:29:24 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Ok, let's end that useless conversation about the color of mutt-ng.

> Mutt next generation (mutt-ng) is a fork of the well-known email client mutt
> with the goal to both incorporate all the patches that are floating around in
> the web, and to fix all the other little annoyances of mutt. Also this port is
> using options structure that is more comfortable for some people including me.

Name those "little annoyances of mutt", that mutt-ng fixes.
The new features mutt-ng introduces and why are they useful. Also
explain the situation when mutt crashes and mutt-ng does not. If this
really happens with the latest version of mutt, consider sending a PR
anyway, no matter whether mutt-ng enters /usr/ports/ or not.

For example:
1. mutt and mutt-devel do A when I expect them to do B, which I find
   very annoying. This cannot be tuned via muttrc.
2. mutt-ng has this nice thing C that I use when I need to do D, this
   feature cannot be found in mail/mutt/files/ nor in
   mail/mutt-devel/files/.
3. etc. etc. etc.

Just convince us that mutt-ng really worths.

Regards,
Vasil
-----BEGIN PGP SIGNATURE-----

iD8DBQFCsRxEFw6SP/bBpCARAqPWAKC4YSQkAIk0uMn2L095NgKPt3mzSQCeMzaK
cYWfc2gdGo/6/2ODEaSNMqU=
=KtfH
-----END PGP SIGNATURE-----
Comment 6 Vsevolod Stakhov 2005-06-18 00:30:37 UTC
Here is a list of some inetersting features:
    * Better view support for format=flowed attachments
    * Message IDs are configurable
    * User can set signoff_string just like in slrn
    * User can call up the "last folder" when saving attachments
    * IMAP reconnecting: when the connection to the IMAP server dies,
      mutt-ng attempts reconnecting
    * User can set the umask with which all the files shall be created
      (was hard-coded before, and caused huge problems for shared
      mailboxes to some people)

And here is changed version of port that fixes building under CURRENT and
also some dependencies and plist fixes.
Comment 7 Kirill Ponomarev freebsd_committer 2005-06-19 11:55:38 UTC
State Changed
From-To: open->closed

New port added, thanks!